Subject: bug#50666: 28.0.50; Fix native compilation on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Oct 2021 08:54:50 +0300

> Date: Thu, 28 Oct 2021 18:22:28 -0400
> From: Ken Brown <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> 32-bit Cygwin has just been demoted to a third-class citizen.  Cygwin 3.3.0 was 
> released this morning, with a deprecation notice that it is the last major 
> version supporting 32-bit installations.  In view of this, I don't want to put 
> any energy into supporting native compilation on 32-bit Cygwin, and I doubt if 
> Achim does either.
> 
> Eli, what do you think of the attached (assuming Achim agrees)?

Assuming this decision of the Cygwin developers is final, I don't
mind.  But why do we want to depend on an environment variable for
enabling the 32-bit build? why not a configure-time command-line
option?